WinShopAPI docs
ReferenceItem lists

Warehouses

GET
/api/item-lists/warehouse/preview

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/warehouse/preview' \  -H 'Authorization: Bearer <access-token>'
[  {    "description": "string",    "id": 0,    "name": "string",    "number": "string"  }]

List warehouses

GET
/api/item-lists/warehouses

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?

List view of a warehouse.

curl -X GET 'https://<your-instance>/api/item-lists/warehouses' \  -H 'Authorization: Bearer <access-token>'
[  {    "accountingCenter": "string",    "allowedPriceRangePercentage": 0,    "area": 0,    "averagingGroupId": 0,    "batchInquiry": true,    "canStockTakeWithoutBatches": true,    "cashDeskSaleLocationId": 0,    "cashDeskSalesAreaLocationId": 0,    "city": "string",    "claimsCustomerWarehouseId": 0,    "claimsSupplierWarehouseId": 0,    "commissionOnlyByTransferSlip": true,    "comparativeWarehouseId": 0,    "countryId": 0,    "customsWarehouse": true,    "defaultExpeditionLocationId": 0,    "defaultLocationId": 0,    "description": "string",    "doNotIncludeStockStatus": true,    "doNotIncludeStockStatusForEshop": true,    "doNotIncludeStockStatusForEshop1": true,    "doNotIncludeStockStatusForEshop2": true,    "doNotIncludeStockStatusForEshop3": true,    "doNotIncludeStockStatusForEshop4": true,    "doNotIncludeStockStatusForEshop5": true,    "dontUseBatches": true,    "driverId": 0,    "ediGln": "string",    "email": "string",    "guid": "string",    "id": 0,    "intakeDoesNotCreateCollectionCards": true,    "isB2b": true,    "isBazaarWarehouse": true,    "isClaimsWarehouse": true,    "isCommissionWarehouse": true,    "isDistributionWarehouse": true,    "isExpeditionWarehouse": true,    "isInactive": true,    "isMainWarehouse": true,    "isOffline": true,    "isOfflineDaysInAdvance": 0,    "isOnline": true,    "isOnlineDaysInAdvance": 0,    "isOpen": true,    "isSuppliersWarehouse": true,    "labelPrinterName": "string",    "logo": "string",    "mainPriceWithVat": true,    "mobilePhoneNumber": "string",    "name": "string",    "notificationObligation": true,    "number": "string",    "orderCoveragePriority": 0,    "ordersCompanyId": 0,    "ownerBranchId": 0,    "ownerId": 0,    "phoneNumber": "string",    "picture": "string",    "prepaymentCenterId": 0,    "priceTypeId": 0,    "printerIpAddress": "string",    "routeId": 0,    "saleInDutyFreeZone": true,    "secondaryEmail": "string",    "showOnlyOnShippingTerminal": true,    "street": "string",    "supplierWarehouseId": 0,    "taxWarehouse": true,    "transferSlipCreatesCollectionCards": true,    "usesButcherLocation": true,    "usesLocation": true,    "warehouseType": 0,    "zeroFilter": true,    "zipCode": "string"  }]

Create a warehouse

POST
/api/item-lists/warehouses

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body

List view of a warehouse.

accountingCenter?|
Lengthlength <= 10
allowedPriceRangePercentage?|
Formatdecimal
area?|
Formatdecimal
averagingGroupId?|
Formatint32
batchInquiry?boolean|null
canStockTakeWithoutBatches?boolean|null
cashDeskSaleLocationId?|
Formatint32
cashDeskSalesAreaLocationId?|
Formatint32
city?|
Lengthlength <= 50
claimsCustomerWarehouseId?|
Formatint32
claimsSupplierWarehouseId?|
Formatint32
commissionOnlyByTransferSlip?boolean|null
comparativeWarehouseId?|
Formatint32
countryId?|
Formatint32
customsWarehouse?boolean|null
defaultExpeditionLocationId?|
Formatint32
defaultLocationId?|
Formatint32
description?|
Lengthlength <= 100
doNotIncludeStockStatus?boolean|null
doNotIncludeStockStatusForEshop?boolean|null
doNotIncludeStockStatusForEshop1?boolean|null
doNotIncludeStockStatusForEshop2?boolean|null
doNotIncludeStockStatusForEshop3?boolean|null
doNotIncludeStockStatusForEshop4?boolean|null
doNotIncludeStockStatusForEshop5?boolean|null
dontUseBatches?boolean|null
driverId?|
Formatint32
ediGln?|
Lengthlength <= 17
email?string|null
guid?|
Formatguid
id?integer
Formatint32
intakeDoesNotCreateCollectionCards?boolean|null
isB2b?boolean|null
isBazaarWarehouse?boolean|null
isClaimsWarehouse?boolean|null
isCommissionWarehouse?boolean|null
isDistributionWarehouse?boolean|null
isExpeditionWarehouse?boolean|null
isInactive?boolean|null
isMainWarehouse?boolean|null
isOffline?boolean|null
isOfflineDaysInAdvance?|
Formatint32
isOnline?boolean|null
isOnlineDaysInAdvance?|
Formatint32
isOpen?boolean|null
isSuppliersWarehouse?boolean|null
labelPrinterName?|
Lengthlength <= 120
logo?|

Raw image bytes (base64 in JSON). No [MaxLength] here on purpose — it would validate the array length, not a string.

mainPriceWithVat?boolean|null
mobilePhoneNumber?|
Lengthlength <= 50
name?|
Lengthlength <= 50
notificationObligation?boolean|null
number?|
Lengthlength <= 50
orderCoveragePriority?|
Formatint32
ordersCompanyId?|
Formatint32
ownerBranchId?|
Formatint32
ownerId?|
Formatint32
phoneNumber?|
Lengthlength <= 50
picture?|
Lengthlength <= 128
prepaymentCenterId?|
Formatint32
priceTypeId?|
Formatint32
printerIpAddress?|
Lengthlength <= 20
routeId?|
Formatint32
saleInDutyFreeZone?boolean|null
secondaryEmail?|
Lengthlength <= 50
showOnlyOnShippingTerminal?boolean|null
street?|
Lengthlength <= 50
supplierWarehouseId?|
Formatint32
taxWarehouse?boolean|null
transferSlipCreatesCollectionCards?boolean|null
usesButcherLocation?boolean|null
usesLocation?boolean|null
warehouseType?|
Formatint32
zeroFilter?boolean|null
zipCode?|
Lengthlength <= 6

Response Body

application/json
  1. response

List view of a warehouse.

accountingCenter?|
Lengthlength <= 10
allowedPriceRangePercentage?|
Formatdecimal
area?|
Formatdecimal
averagingGroupId?|
Formatint32
batchInquiry?boolean|null
canStockTakeWithoutBatches?boolean|null
cashDeskSaleLocationId?|
Formatint32
cashDeskSalesAreaLocationId?|
Formatint32
city?|
Lengthlength <= 50
claimsCustomerWarehouseId?|
Formatint32
claimsSupplierWarehouseId?|
Formatint32
commissionOnlyByTransferSlip?boolean|null
comparativeWarehouseId?|
Formatint32
countryId?|
Formatint32
customsWarehouse?boolean|null
defaultExpeditionLocationId?|
Formatint32
defaultLocationId?|
Formatint32
description?|
Lengthlength <= 100
doNotIncludeStockStatus?boolean|null
doNotIncludeStockStatusForEshop?boolean|null
doNotIncludeStockStatusForEshop1?boolean|null
doNotIncludeStockStatusForEshop2?boolean|null
doNotIncludeStockStatusForEshop3?boolean|null
doNotIncludeStockStatusForEshop4?boolean|null
doNotIncludeStockStatusForEshop5?boolean|null
dontUseBatches?boolean|null
driverId?|
Formatint32
ediGln?|
Lengthlength <= 17
email?string|null
guid?|
Formatguid
id?integer
Formatint32
intakeDoesNotCreateCollectionCards?boolean|null
isB2b?boolean|null
isBazaarWarehouse?boolean|null
isClaimsWarehouse?boolean|null
isCommissionWarehouse?boolean|null
isDistributionWarehouse?boolean|null
isExpeditionWarehouse?boolean|null
isInactive?boolean|null
isMainWarehouse?boolean|null
isOffline?boolean|null
isOfflineDaysInAdvance?|
Formatint32
isOnline?boolean|null
isOnlineDaysInAdvance?|
Formatint32
isOpen?boolean|null
isSuppliersWarehouse?boolean|null
labelPrinterName?|
Lengthlength <= 120
logo?|

Raw image bytes (base64 in JSON). No [MaxLength] here on purpose — it would validate the array length, not a string.

mainPriceWithVat?boolean|null
mobilePhoneNumber?|
Lengthlength <= 50
name?|
Lengthlength <= 50
notificationObligation?boolean|null
number?|
Lengthlength <= 50
orderCoveragePriority?|
Formatint32
ordersCompanyId?|
Formatint32
ownerBranchId?|
Formatint32
ownerId?|
Formatint32
phoneNumber?|
Lengthlength <= 50
picture?|
Lengthlength <= 128
prepaymentCenterId?|
Formatint32
priceTypeId?|
Formatint32
printerIpAddress?|
Lengthlength <= 20
routeId?|
Formatint32
saleInDutyFreeZone?boolean|null
secondaryEmail?|
Lengthlength <= 50
showOnlyOnShippingTerminal?boolean|null
street?|
Lengthlength <= 50
supplierWarehouseId?|
Formatint32
taxWarehouse?boolean|null
transferSlipCreatesCollectionCards?boolean|null
usesButcherLocation?boolean|null
usesLocation?boolean|null
warehouseType?|
Formatint32
zeroFilter?boolean|null
zipCode?|
Lengthlength <= 6
curl -X POST 'https://<your-instance>/api/item-lists/warehouses' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "accountingCenter": "string",  "allowedPriceRangePercentage": 0,  "area": 0,  "averagingGroupId": 0,  "batchInquiry": true,  "canStockTakeWithoutBatches": true,  "cashDeskSaleLocationId": 0,  "cashDeskSalesAreaLocationId": 0,  "city": "string",  "claimsCustomerWarehouseId": 0,  "claimsSupplierWarehouseId": 0,  "commissionOnlyByTransferSlip": true,  "comparativeWarehouseId": 0,  "countryId": 0,  "customsWarehouse": true,  "defaultExpeditionLocationId": 0,  "defaultLocationId": 0,  "description": "string",  "doNotIncludeStockStatus": true,  "doNotIncludeStockStatusForEshop": true,  "doNotIncludeStockStatusForEshop1": true,  "doNotIncludeStockStatusForEshop2": true,  "doNotIncludeStockStatusForEshop3": true,  "doNotIncludeStockStatusForEshop4": true,  "doNotIncludeStockStatusForEshop5": true,  "dontUseBatches": true,  "driverId": 0,  "ediGln": "string",  "email": "string",  "guid": "string",  "id": 0,  "intakeDoesNotCreateCollectionCards": true,  "isB2b": true,  "isBazaarWarehouse": true,  "isClaimsWarehouse": true,  "isCommissionWarehouse": true,  "isDistributionWarehouse": true,  "isExpeditionWarehouse": true,  "isInactive": true,  "isMainWarehouse": true,  "isOffline": true,  "isOfflineDaysInAdvance": 0,  "isOnline": true,  "isOnlineDaysInAdvance": 0,  "isOpen": true,  "isSuppliersWarehouse": true,  "labelPrinterName": "string",  "logo": "string",  "mainPriceWithVat": true,  "mobilePhoneNumber": "string",  "name": "string",  "notificationObligation": true,  "number": "string",  "orderCoveragePriority": 0,  "ordersCompanyId": 0,  "ownerBranchId": 0,  "ownerId": 0,  "phoneNumber": "string",  "picture": "string",  "prepaymentCenterId": 0,  "priceTypeId": 0,  "printerIpAddress": "string",  "routeId": 0,  "saleInDutyFreeZone": true,  "secondaryEmail": "string",  "showOnlyOnShippingTerminal": true,  "street": "string",  "supplierWarehouseId": 0,  "taxWarehouse": true,  "transferSlipCreatesCollectionCards": true,  "usesButcherLocation": true,  "usesLocation": true,  "warehouseType": 0,  "zeroFilter": true,  "zipCode": "string"}

Get a warehouse

GET
/api/item-lists/warehouses/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response

List view of a warehouse.

accountingCenter?|
Lengthlength <= 10
allowedPriceRangePercentage?|
Formatdecimal
area?|
Formatdecimal
averagingGroupId?|
Formatint32
batchInquiry?boolean|null
canStockTakeWithoutBatches?boolean|null
cashDeskSaleLocationId?|
Formatint32
cashDeskSalesAreaLocationId?|
Formatint32
city?|
Lengthlength <= 50
claimsCustomerWarehouseId?|
Formatint32
claimsSupplierWarehouseId?|
Formatint32
commissionOnlyByTransferSlip?boolean|null
comparativeWarehouseId?|
Formatint32
countryId?|
Formatint32
customsWarehouse?boolean|null
defaultExpeditionLocationId?|
Formatint32
defaultLocationId?|
Formatint32
description?|
Lengthlength <= 100
doNotIncludeStockStatus?boolean|null
doNotIncludeStockStatusForEshop?boolean|null
doNotIncludeStockStatusForEshop1?boolean|null
doNotIncludeStockStatusForEshop2?boolean|null
doNotIncludeStockStatusForEshop3?boolean|null
doNotIncludeStockStatusForEshop4?boolean|null
doNotIncludeStockStatusForEshop5?boolean|null
dontUseBatches?boolean|null
driverId?|
Formatint32
ediGln?|
Lengthlength <= 17
email?string|null
guid?|
Formatguid
id?integer
Formatint32
intakeDoesNotCreateCollectionCards?boolean|null
isB2b?boolean|null
isBazaarWarehouse?boolean|null
isClaimsWarehouse?boolean|null
isCommissionWarehouse?boolean|null
isDistributionWarehouse?boolean|null
isExpeditionWarehouse?boolean|null
isInactive?boolean|null
isMainWarehouse?boolean|null
isOffline?boolean|null
isOfflineDaysInAdvance?|
Formatint32
isOnline?boolean|null
isOnlineDaysInAdvance?|
Formatint32
isOpen?boolean|null
isSuppliersWarehouse?boolean|null
labelPrinterName?|
Lengthlength <= 120
logo?|

Raw image bytes (base64 in JSON). No [MaxLength] here on purpose — it would validate the array length, not a string.

mainPriceWithVat?boolean|null
mobilePhoneNumber?|
Lengthlength <= 50
name?|
Lengthlength <= 50
notificationObligation?boolean|null
number?|
Lengthlength <= 50
orderCoveragePriority?|
Formatint32
ordersCompanyId?|
Formatint32
ownerBranchId?|
Formatint32
ownerId?|
Formatint32
phoneNumber?|
Lengthlength <= 50
picture?|
Lengthlength <= 128
prepaymentCenterId?|
Formatint32
priceTypeId?|
Formatint32
printerIpAddress?|
Lengthlength <= 20
routeId?|
Formatint32
saleInDutyFreeZone?boolean|null
secondaryEmail?|
Lengthlength <= 50
showOnlyOnShippingTerminal?boolean|null
street?|
Lengthlength <= 50
supplierWarehouseId?|
Formatint32
taxWarehouse?boolean|null
transferSlipCreatesCollectionCards?boolean|null
usesButcherLocation?boolean|null
usesLocation?boolean|null
warehouseType?|
Formatint32
zeroFilter?boolean|null
zipCode?|
Lengthlength <= 6
curl -X GET 'https://<your-instance>/api/item-lists/warehouses/0' \  -H 'Authorization: Bearer <access-token>'
{  "accountingCenter": "string",  "allowedPriceRangePercentage": 0,  "area": 0,  "averagingGroupId": 0,  "batchInquiry": true,  "canStockTakeWithoutBatches": true,  "cashDeskSaleLocationId": 0,  "cashDeskSalesAreaLocationId": 0,  "city": "string",  "claimsCustomerWarehouseId": 0,  "claimsSupplierWarehouseId": 0,  "commissionOnlyByTransferSlip": true,  "comparativeWarehouseId": 0,  "countryId": 0,  "customsWarehouse": true,  "defaultExpeditionLocationId": 0,  "defaultLocationId": 0,  "description": "string",  "doNotIncludeStockStatus": true,  "doNotIncludeStockStatusForEshop": true,  "doNotIncludeStockStatusForEshop1": true,  "doNotIncludeStockStatusForEshop2": true,  "doNotIncludeStockStatusForEshop3": true,  "doNotIncludeStockStatusForEshop4": true,  "doNotIncludeStockStatusForEshop5": true,  "dontUseBatches": true,  "driverId": 0,  "ediGln": "string",  "email": "string",  "guid": "string",  "id": 0,  "intakeDoesNotCreateCollectionCards": true,  "isB2b": true,  "isBazaarWarehouse": true,  "isClaimsWarehouse": true,  "isCommissionWarehouse": true,  "isDistributionWarehouse": true,  "isExpeditionWarehouse": true,  "isInactive": true,  "isMainWarehouse": true,  "isOffline": true,  "isOfflineDaysInAdvance": 0,  "isOnline": true,  "isOnlineDaysInAdvance": 0,  "isOpen": true,  "isSuppliersWarehouse": true,  "labelPrinterName": "string",  "logo": "string",  "mainPriceWithVat": true,  "mobilePhoneNumber": "string",  "name": "string",  "notificationObligation": true,  "number": "string",  "orderCoveragePriority": 0,  "ordersCompanyId": 0,  "ownerBranchId": 0,  "ownerId": 0,  "phoneNumber": "string",  "picture": "string",  "prepaymentCenterId": 0,  "priceTypeId": 0,  "printerIpAddress": "string",  "routeId": 0,  "saleInDutyFreeZone": true,  "secondaryEmail": "string",  "showOnlyOnShippingTerminal": true,  "street": "string",  "supplierWarehouseId": 0,  "taxWarehouse": true,  "transferSlipCreatesCollectionCards": true,  "usesButcherLocation": true,  "usesLocation": true,  "warehouseType": 0,  "zeroFilter": true,  "zipCode": "string"}

Update a warehouse

PATCH
/api/item-lists/warehouses/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body

List view of a warehouse.

accountingCenter?|
Lengthlength <= 10
allowedPriceRangePercentage?|
Formatdecimal
area?|
Formatdecimal
averagingGroupId?|
Formatint32
batchInquiry?boolean|null
canStockTakeWithoutBatches?boolean|null
cashDeskSaleLocationId?|
Formatint32
cashDeskSalesAreaLocationId?|
Formatint32
city?|
Lengthlength <= 50
claimsCustomerWarehouseId?|
Formatint32
claimsSupplierWarehouseId?|
Formatint32
commissionOnlyByTransferSlip?boolean|null
comparativeWarehouseId?|
Formatint32
countryId?|
Formatint32
customsWarehouse?boolean|null
defaultExpeditionLocationId?|
Formatint32
defaultLocationId?|
Formatint32
description?|
Lengthlength <= 100
doNotIncludeStockStatus?boolean|null
doNotIncludeStockStatusForEshop?boolean|null
doNotIncludeStockStatusForEshop1?boolean|null
doNotIncludeStockStatusForEshop2?boolean|null
doNotIncludeStockStatusForEshop3?boolean|null
doNotIncludeStockStatusForEshop4?boolean|null
doNotIncludeStockStatusForEshop5?boolean|null
dontUseBatches?boolean|null
driverId?|
Formatint32
ediGln?|
Lengthlength <= 17
email?string|null
guid?|
Formatguid
id?integer
Formatint32
intakeDoesNotCreateCollectionCards?boolean|null
isB2b?boolean|null
isBazaarWarehouse?boolean|null
isClaimsWarehouse?boolean|null
isCommissionWarehouse?boolean|null
isDistributionWarehouse?boolean|null
isExpeditionWarehouse?boolean|null
isInactive?boolean|null
isMainWarehouse?boolean|null
isOffline?boolean|null
isOfflineDaysInAdvance?|
Formatint32
isOnline?boolean|null
isOnlineDaysInAdvance?|
Formatint32
isOpen?boolean|null
isSuppliersWarehouse?boolean|null
labelPrinterName?|
Lengthlength <= 120
logo?|

Raw image bytes (base64 in JSON). No [MaxLength] here on purpose — it would validate the array length, not a string.

mainPriceWithVat?boolean|null
mobilePhoneNumber?|
Lengthlength <= 50
name?|
Lengthlength <= 50
notificationObligation?boolean|null
number?|
Lengthlength <= 50
orderCoveragePriority?|
Formatint32
ordersCompanyId?|
Formatint32
ownerBranchId?|
Formatint32
ownerId?|
Formatint32
phoneNumber?|
Lengthlength <= 50
picture?|
Lengthlength <= 128
prepaymentCenterId?|
Formatint32
priceTypeId?|
Formatint32
printerIpAddress?|
Lengthlength <= 20
routeId?|
Formatint32
saleInDutyFreeZone?boolean|null
secondaryEmail?|
Lengthlength <= 50
showOnlyOnShippingTerminal?boolean|null
street?|
Lengthlength <= 50
supplierWarehouseId?|
Formatint32
taxWarehouse?boolean|null
transferSlipCreatesCollectionCards?boolean|null
usesButcherLocation?boolean|null
usesLocation?boolean|null
warehouseType?|
Formatint32
zeroFilter?boolean|null
zipCode?|
Lengthlength <= 6

Response Body

application/json
  1. response

List view of a warehouse.

accountingCenter?|
Lengthlength <= 10
allowedPriceRangePercentage?|
Formatdecimal
area?|
Formatdecimal
averagingGroupId?|
Formatint32
batchInquiry?boolean|null
canStockTakeWithoutBatches?boolean|null
cashDeskSaleLocationId?|
Formatint32
cashDeskSalesAreaLocationId?|
Formatint32
city?|
Lengthlength <= 50
claimsCustomerWarehouseId?|
Formatint32
claimsSupplierWarehouseId?|
Formatint32
commissionOnlyByTransferSlip?boolean|null
comparativeWarehouseId?|
Formatint32
countryId?|
Formatint32
customsWarehouse?boolean|null
defaultExpeditionLocationId?|
Formatint32
defaultLocationId?|
Formatint32
description?|
Lengthlength <= 100
doNotIncludeStockStatus?boolean|null
doNotIncludeStockStatusForEshop?boolean|null
doNotIncludeStockStatusForEshop1?boolean|null
doNotIncludeStockStatusForEshop2?boolean|null
doNotIncludeStockStatusForEshop3?boolean|null
doNotIncludeStockStatusForEshop4?boolean|null
doNotIncludeStockStatusForEshop5?boolean|null
dontUseBatches?boolean|null
driverId?|
Formatint32
ediGln?|
Lengthlength <= 17
email?string|null
guid?|
Formatguid
id?integer
Formatint32
intakeDoesNotCreateCollectionCards?boolean|null
isB2b?boolean|null
isBazaarWarehouse?boolean|null
isClaimsWarehouse?boolean|null
isCommissionWarehouse?boolean|null
isDistributionWarehouse?boolean|null
isExpeditionWarehouse?boolean|null
isInactive?boolean|null
isMainWarehouse?boolean|null
isOffline?boolean|null
isOfflineDaysInAdvance?|
Formatint32
isOnline?boolean|null
isOnlineDaysInAdvance?|
Formatint32
isOpen?boolean|null
isSuppliersWarehouse?boolean|null
labelPrinterName?|
Lengthlength <= 120
logo?|

Raw image bytes (base64 in JSON). No [MaxLength] here on purpose — it would validate the array length, not a string.

mainPriceWithVat?boolean|null
mobilePhoneNumber?|
Lengthlength <= 50
name?|
Lengthlength <= 50
notificationObligation?boolean|null
number?|
Lengthlength <= 50
orderCoveragePriority?|
Formatint32
ordersCompanyId?|
Formatint32
ownerBranchId?|
Formatint32
ownerId?|
Formatint32
phoneNumber?|
Lengthlength <= 50
picture?|
Lengthlength <= 128
prepaymentCenterId?|
Formatint32
priceTypeId?|
Formatint32
printerIpAddress?|
Lengthlength <= 20
routeId?|
Formatint32
saleInDutyFreeZone?boolean|null
secondaryEmail?|
Lengthlength <= 50
showOnlyOnShippingTerminal?boolean|null
street?|
Lengthlength <= 50
supplierWarehouseId?|
Formatint32
taxWarehouse?boolean|null
transferSlipCreatesCollectionCards?boolean|null
usesButcherLocation?boolean|null
usesLocation?boolean|null
warehouseType?|
Formatint32
zeroFilter?boolean|null
zipCode?|
Lengthlength <= 6
curl -X PATCH 'https://<your-instance>/api/item-lists/warehouses/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "accountingCenter": "string",  "allowedPriceRangePercentage": 0,  "area": 0,  "averagingGroupId": 0,  "batchInquiry": true,  "canStockTakeWithoutBatches": true,  "cashDeskSaleLocationId": 0,  "cashDeskSalesAreaLocationId": 0,  "city": "string",  "claimsCustomerWarehouseId": 0,  "claimsSupplierWarehouseId": 0,  "commissionOnlyByTransferSlip": true,  "comparativeWarehouseId": 0,  "countryId": 0,  "customsWarehouse": true,  "defaultExpeditionLocationId": 0,  "defaultLocationId": 0,  "description": "string",  "doNotIncludeStockStatus": true,  "doNotIncludeStockStatusForEshop": true,  "doNotIncludeStockStatusForEshop1": true,  "doNotIncludeStockStatusForEshop2": true,  "doNotIncludeStockStatusForEshop3": true,  "doNotIncludeStockStatusForEshop4": true,  "doNotIncludeStockStatusForEshop5": true,  "dontUseBatches": true,  "driverId": 0,  "ediGln": "string",  "email": "string",  "guid": "string",  "id": 0,  "intakeDoesNotCreateCollectionCards": true,  "isB2b": true,  "isBazaarWarehouse": true,  "isClaimsWarehouse": true,  "isCommissionWarehouse": true,  "isDistributionWarehouse": true,  "isExpeditionWarehouse": true,  "isInactive": true,  "isMainWarehouse": true,  "isOffline": true,  "isOfflineDaysInAdvance": 0,  "isOnline": true,  "isOnlineDaysInAdvance": 0,  "isOpen": true,  "isSuppliersWarehouse": true,  "labelPrinterName": "string",  "logo": "string",  "mainPriceWithVat": true,  "mobilePhoneNumber": "string",  "name": "string",  "notificationObligation": true,  "number": "string",  "orderCoveragePriority": 0,  "ordersCompanyId": 0,  "ownerBranchId": 0,  "ownerId": 0,  "phoneNumber": "string",  "picture": "string",  "prepaymentCenterId": 0,  "priceTypeId": 0,  "printerIpAddress": "string",  "routeId": 0,  "saleInDutyFreeZone": true,  "secondaryEmail": "string",  "showOnlyOnShippingTerminal": true,  "street": "string",  "supplierWarehouseId": 0,  "taxWarehouse": true,  "transferSlipCreatesCollectionCards": true,  "usesButcherLocation": true,  "usesLocation": true,  "warehouseType": 0,  "zeroFilter": true,  "zipCode": "string"}

Delete a warehouse

DELETE
/api/item-lists/warehouses/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/warehouses/0' \  -H 'Authorization: Bearer <access-token>'
Empty